Bug 601831 - [abrt] crash in exaile-0.3.1.1-1.fc13: common.py:76:to_unicode:UnicodeDecodeError: 'utf8' codec can't decode byte 0xff in position 109: unexpected code byte
Summary: [abrt] crash in exaile-0.3.1.1-1.fc13: common.py:76:to_unicode:UnicodeDecodeE...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8cda2d48
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-08 17:51 UTC by angelusiones
Modified: 2010-07-20 22:49 UTC (History)
2 users (show)

Fixed In Version: exaile-0.3.2.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-20 22:49:33 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.17 KB, text/plain)
2010-06-08 17:51 UTC, angelusiones
no flags Details

Description angelusiones 2010-06-08 17:51:29 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
comment: It stops and give me the error
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.33.5-112.fc13.i686
package: exaile-0.3.1.1-1.fc13
reason: common.py:76:to_unicode:UnicodeDecodeError: 'utf8' codec can't decode byte 0xff in position 109: unexpected code byte
release: Fedora release 13 (Goddard)

backtrace
-----
common.py:76:to_unicode:UnicodeDecodeError: 'utf8' codec can't decode byte 0xff in position 109: unexpected code byte

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/panel/radio.py", line 263, in on_row_activated
    self.emit('playlist-selected', item.get_playlist())
  File "/usr/share/exaile/plugins/shoutcast/__init__.py", line 193, in <lambda>
    self._get_playlist(name, station_id)
  File "/usr/share/exaile/plugins/shoutcast/__init__.py", line 238, in _get_playlist
    handle)
  File "/usr/lib/python2.6/site-packages/exaile/xl/playlist.py", line 202, in import_from_pls
    tr.set_tag_raw('title', linedict["title%s"%n])
  File "/usr/lib/python2.6/site-packages/exaile/xl/trax/track.py", line 401, in set_tag_raw
    for x in values if x not in (None, '')]
  File "/usr/lib/python2.6/site-packages/exaile/xl/common.py", line 76, in to_unicode
    return unicode(x)
UnicodeDecodeError: 'utf8' codec can't decode byte 0xff in position 109: unexpected code byte

Local variables in innermost frame:
x: '(#1 - 1/1000) Tokyo Next Radio La Emisora On Line , que te conecta a la mejor Musica Asiatica Moderna, acompa\xff\xffndo'
default_encoding: None

How to reproduce
-----
1.Executed exaile
2.go to radio
3.double click on Tokyo Next Radio

Comment 1 angelusiones 2010-06-08 17:51:32 UTC
Created attachment 422288 [details]
File: backtrace

Comment 2 Fedora Update System 2010-06-29 16:38:32 UTC
exaile-0.3.2.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc13

Comment 3 Fedora Update System 2010-06-30 15:07:15 UTC
exaile-0.3.2.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc13

Comment 4 Fedora Update System 2010-07-20 22:48:32 UTC
exaile-0.3.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.